De presentatie Libremail: Franstalige vrije software


Algemene presentatie


De lijst van de werktuigen beschikbaar tot nu toe:

Filtrering van mails van de server

- filtradr
Syntaxis : filtradr [-t bestand_schetst] bestand_configuratie

Vernietigd mails van bepaalde afzenders die door worden
gedentificeerd :

- hun volledig adres,
- adres van een leverancier van toegang @nom_leverancier,
- een generiek adres met veranderlijke delen.

De te weigeren adressen worden in het bestand refus_adr
gelegen in de lijst wortel van de besteldienst gememoriseerd
(4de lijn van het bestand van configuratie).

De generieke adressen doen op volgende mtacaractres een beroep:

- [....]
[.... ] een reeks karakters van vaste lengte, zal elk karakter
tussen [ ], van een verschillend soort kunnen zijn :

- a betekent dat men een brief aan deze positie van het adres zal
moeten vinden,
- 9 betekent dat men een cijfer aan deze plaats zal
moeten vinden,
- x betekent dat men niet invoert aanvaardt welk karakter.

- a+ , 9+ ou x+
zullen een reeks van (e) of verschillende brieven, cijfers of de
willekeurige karakters zich in deze plaats bevinden (voor het
volgende vaste deel van het adres).

- a* , 9* ou x*
idem aan het vorige geval behalve dat deze aangegeven
reeks karakters van het soort keuze is.

Per gebrek, de lijst van de afzenders van mails waarvan men
vernietigt wordt de berichten niet behouden.
Als men het wil doen, de keuze -t maakt het mogelijk om de naam
van het bestand te kiezen dat de adressen van afzender (verklaard) van
deze mails en de datum van hun vernieling zal bevatten.

- filtresujet
Syntaxis : filtresujet [-(o|O)] [-t bestand_schetst] bestand_configuratie

Vernietigd mails waarvan van onderwerp een geweigerde reeks lettertekens
bevat.

De reeksen lettertekens die men niet voorkomen in de onderwerpen van
mails wil zien worden in het bestand refus_sujet
gelegen in de lijst wortel van de besteldienst gememoriseerd
(4de lijn van het bestand van configuratie).

De syntaxis van de lijnen van opschrift van mails (waarvan die met
het onderwerp) legt het gebruik van coderingen voor de speciale
karakters op, waaronder de geaccentueerde karakters. Per gebrek,
worden de onderwerpen van mails na speciale code-omzetting deze
onderzocht.
De keuze -O maakt het mogelijk om de keten van karakter van
Oorsprong te onderzoeken, voor omzetting.
Met de keuze -o, de reeks lettertekens van oorsprong en de
veranderde keten worden alle twee getest.

Per gebrek, de lijst van mails waarvan men weigert wordt het
onderwerp niet behouden.
Als men het wil doen, de keuze -t maakt het mogelijk om de naam
van het bestand te kiezen dat de onderwerpen van deze mails en de datum
van hun vernieling zal bevatten.

- filtredest
Syntaxis : filtredest [-(o|O)] [-t bestand_schetst] bestand_configuratie

Vernietigd mails waarvan men de ontvanger weigert.
Deze bestelling is interessant voor spams wanneer dezelfde mail wordt
verzonden naar verschillende ontvangers die naburige adressen hebben,
alfabetisch.

De reeksen lettertekens die men niet als ontvanger van mails wil zien
blijken worden in het bestand refus_dest gelegen in de lijst
wortel van de besteldienst gememoriseerd (4de lijn van het bestand van
configuratie).

De syntaxis van de lijnen van opschrift van mails (waarvan die met
de ontvanger) legt het gebruik van coderingen voor de speciale
karakters op, waaronder de geaccentueerde karakters. Per gebrek,
worden de onderwerpen van mails na speciale code-omzetting deze
onderzocht.
De keuze -O maakt het mogelijk om de keten van karakter van
Oorsprong te onderzoeken, voor omzetting.
Met de keuze -o, de reeks lettertekens van oorsprong en de
veranderde keten worden alle twee getest.

Per gebrek, de lijst van mails waarvan men weigert wordt de ontvanger
niet behouden.
Als men het wil doen, de keuze -t maakt het mogelijk om de naam
van het bestand te kiezen dat de ontvangers van deze mails en de datum
van hun vernieling zal bevatten.

- filtrechamp
Syntaxis : filtrechamp naam_veld [-(o|O)] [-f fich_liste] [-t bestand_schetst]
bestand_configuratie

Vernietigd mails waarvan het veld naam_veld een geweigerde reeks
lettertekens bevat.
Het gaat om een bestelling meer generiek dan 2 vorige.

De reeksen lettertekens die men niet in het veld naam_veld wil
zien voorkomen worden bij verstek in het bestand refus_naam_veld
gelegen in de lijst wortel van de besteldienst gememoriseerd (4de lijn
van het bestand van configuratie).
Het is mogelijk om een ander bestand met de keuze te specificeren
-f.
Per gebrek, wordt dit bestand in de lijst wortel van de besteldienst,
aan minder teruggekregen dan men een weg van toegang absoluut, of
betreffende deze lijst aangeeft.

De syntaxis van de lijnen van opschrift van mails legt het gebruik
van coderingen voor de speciale karakters op, waaronder de
geaccentueerde karakters. Per gebrek, worden de onderwerpen van mails
na speciale code-omzetting deze onderzocht.
De keuze -O maakt het mogelijk om de keten van karakter van
Oorsprong te onderzoeken, voor omzetting.
Met de keuze -o, de reeks lettertekens van oorsprong en de
veranderde keten worden alle twee getest.

Per gebrek, wordt de lijst van mails die men filtreert om van een
veld te vertrekken niet behouden.
Als men het wil doen, de keuze -t maakt het mogelijk om de naam van
het bestand te kiezen dat het veld naam veld van deze mails en de
datum van hun vernieling zal bevatten.

- selhtm
Syntaxis : selhtm  bestand_configuratie bestand_liste1 bestand_liste2

Analyse memoriseert het opschrift van mails en in 2 verschillende
bestanden:

- deze van klassieke mails (met deel in manier tekst),
- deze van mails in zuivere HTML.


- suphtm
Syntaxis : suphtm [-pd|-p bepaalt_vooraf|-s] [-t bestand_adressen]
bestand_configuratie

Vernietigd mails in zuivere HTML (vaak van niet gevraagde pubs) door
te proberen om hun afzender (die voor pubs meestal een vals adres!
geven) te verwittigen.

Per gebrek, wordt mail van waarschuwing met het echte adres van de
afzender verzonden. Het probleem is dat bepaalde leveranciers van
spams de adressen van de berichten gebruiken die in antwoord voor
spammer worden verzonden, nog meer!

De keuze -p maakt het mogelijk om een voorvoegsel op het
adres weer toe te voegen dat in het opschrift van mail zal voorkomen.
Het voorvoegsel per gebrek (keuze -pd) is suphtm.
Per voorbeeld als het adres van de afzender is: truc@fournisseur.fr,
zal de afzender die in het opschrift van mail gezant voorkomt, zijn:
suphtm-truc@fournisseur.fr
men kan het voorvoegsel van zijn keus zetten door de syntaxis te
gebruiken:
suphtm -p bepaalt_vooraf bestand_configuratie.

De keuze -s is "een stille" keuze. Geen enkel mail verzonden om de
afzenders van mails in zuivere HTML te verwittigen slechts wordt hun
bericht werd vernietigd.
Zelfs wanneer deze keuze niet ideaal met de eerlijke afzenders is,
kan zij een laatste beroep tegen abrutis vormen door te vermijden om
hun mede te delen dat het mank gegaan - aan - de brieven wordt
geraadpleegd.

Per gebrek, de lijst van de afzenders van mails in zuivere HTML
waarvan men vernietigt wordt de berichten niet behouden.
Als men het wil doen, de keuze -t maakt het mogelijk om de naam
van het bestand te kiezen dat de adressen van afzender (verklaard) van
deze mails en de datum van hun vernieling zal bevatten.

- supgrosmail
Syntaxis : supgrosmail snijdt_maximaal bestand_configuratie

Vernietigd mails die een uiterste omvang overschrijden en die niet
van een bevoegde afzender afkomstig zijn om ze te verzenden.
De adressen van bevoegde afzenders worden in het bestand
accept_gros gelegen in de lijst wortel van de besteldienst
gememoriseerd (4de lijn van het bestand van configuratie).
De afzender van deze berichten wordt door een mail verwittigd die
eveneens in kopie aan de ontvanger van het vernietigde bericht wordt
verzonden.

- supbcc
Syntaxis : supbcc [-pd|-p bepaalt_vooraf|-s] [-t bestand_adressen]
bestand_configuratie

Vernietigd mails die in verborgen kopie worden ontvangen, door te
proberen om de afzenders van deze mails te verwittigen.

Per gebrek, wordt mail van waarschuwing met het echte adres van de
afzender verzonden. Het probleem is dat bepaalde afzenders van spams
de adressen van de berichten gebruiken die in antwoord voor spammer
worden verzonden, nog meer!

De keuze -p maakt het mogelijk om een voorvoegsel op het adres
weer toe te voegen dat in het opschrift van mail zal voorkomen.
Het voorvoegsel per gebrek (keuze -pd) is supbcc.
Per voorbeeld als het adres van de afzender is: truc@fournisseur.fr,
zal de afzender die in het opschrift van mail gezant voorkomt, zijn:
men kan het voorvoegsel van zijn keus zetten door de syntaxis te
gebruiken:
supbcc -p bepaalt_vooraf bestand_configuratie

De keuze -s is "een stille" keuze. Geen enkel mail verzonden om de
afzenders van mails in verborgen kopie te verwittigen slechts wordt
hun bericht werd vernietigd.
Zelfs als deze keuze niet ideaal met de eerlijke afzenders is, kan
zij een laatste beroep tegen abrutis vormen door te vermijden om hun
mede te delen dat het mank gegaan aan de brieven wordt geraadpleegd.

Per gebrek, de lijst van de afzenders van mails in verborgen kopie
waarvan men vernietigt wordt de berichten niet behouden.
Als men het wil doen, de keuze -t maakt het mogelijk om de naam
van het bestand te kiezen dat de adressen van afzender (verklaard) van
deze mails en de datum van hun vernieling zal bevatten.


Visualisering van mails van de server

- comptemail
Syntaxis : comptemail [-n] bestand_configuratie

Aanplakbiljet het aantal mails aanwezigen op de server van besteldienst.
Per gebrek, geeft een zin het aantal mails aan aanwezig.
Met de keuze -n beperkt de display zich tot een aantal.

- sjmails
Syntaxis : sjmails [-(s|e|d [aantal_lijnen_berichten])] bestand_configuratie

Aanplakbiljet de kenmerken van alle mails aanwezigen op de server.
3 manieren van display zijn beschikbaar:

    - keuze -d: display die over verschillende lijnen met mogelijkheid
        wordt uitgebreid om het begin van het bericht te zien.
    - keuze -s: display die een lijn per mail
    - keuze -e: display die wordt een lijn door mail, het adres van de
        afzender wordt vereenvoudigd, aan de plaats van zijn naam
        aangegeven

De manier van display per gebrek is die van de keuze -s .

- voirmail
Syntaxis : voirmail [-h] nummer_bericht bestand_configuratie

Aanplakbiljet de inhoud van een mail heden op de server.
Als een veld van het opschrift (met name To: en Cc:) verschillende
lijnen bezet, enig zal de eerste lijn aangegeven worden. De download
van mail zal het mogelijk maken om dit veld in geheel te zien.

Als mail verschillende afdelingen bevat, geeft deze bestelling de
tekst van mail en de namen van de samengevoegde bestanden te
kennen.
Als de keuze -h wordt gebruikt, het is de afdeling text/html
(zonder omzetting van de bakens) die in plaats van de afdeling text/plain
te kennen wordt gegeven.

Als een naam van samengevoegd bestand begint minstens 2 uitbreidingen,
of n extention andere wat  .exe  bevat, en met wat de
inhoud van het bestand met de handtekening van uitvoerbare
MS-DOS/Windows, de aanwijzing VIRUS ? eveneens zal aangegeven
worden.


Download van mails

- chargemail
    Syntaxis : chargemail [-(k|d)] [nummer_mail] bestand_configuratie

    Downloadt mails van de server en memoriseert ze in bestanden
    van naam r<nummer>.n (met een nummer van orde op 7
    cijfers).

    Gedownloade mails worden van de server afgeschaft.
    Het is eveneens mogelijk om een bijzondere mail te downloaden
    (gedentificeerd door zijn nummer). In dit geval dit mail op de
    server wordt behouden.

    Per gebrek, als men alle mails downloadt, worden hij van de server
    afgeschaft. Als het ervan men slechts enig downloadt, wordt hij op
    de server behouden.
    De keuze -k maakt het mogelijk om mail(s) te behouden die
    op de server in alle gevallen worden gedownload.
    De keuze -d maakt het mogelijk om het/ze af te schaffen in
    alle gevallen.

- chargepartaille
    Syntaxis : chargepartaille bestand_configuratie

    Variant van chargemail, meer bepaald bestemd voor degenen die een
    klassieke telefoonlijn gebruiken.
    Het probleem bij een download van een belangrijke lijst van mails
    (met chargemail zoals met mailers van de handel) is dat in geval van
    arrest van overdracht gedurende de download, teruggekregen mails op
    de server blijven en de volgende keer opnieuw gedownload.
    Om dit probleem te vermijden, chargepartaille downloadt eerst
    kleinste mails, vervolgens door toenemende omvang, en schaft
    periodiek van de server reeds gedownloade mails af, zonder te wachten
    op dat zij het iedereen zijn.

- chargepartiel
    Syntaxis : chargepartiel [-(k|d)] [-n] naam_veld keten_veld
    bestand_configuratie

    Downloadt mails van de server waarvan het veld naam_veld de
    reeks lettertekens keten_veld bevat (werking per gebrek).

    De keuze -n maakt het mogelijk om mails te downloaden waarvan
    het veld naam_veld deze reeks lettertekens niet bevat.

    Per gebrek, worden gedownloade mails van de server afgeschaft.
    De keuze -k maakt het mogelijk om ze te behouden op de
    server.
    De keuze -d is zonder gevolg (werking per gebrek) en bestaat
    slechts voor de verenigbaarheid een syntaxis met de bestelling
    chargemail.

- chargexpedok
    Syntaxis : chargexpedok [-(k|d)] bestand_configuratie

    Downloadt mails van de server afkomstig uit een afzender die in
    het bestand accept_adr gelegen in de lijst wortel van de
    besteldienst wordt genventariseerd (4de lijn van het bestand van
    configuratie).

    Per gebrek, worden gedownloade mails van de server afgeschaft.
    De keuze -k maakt het mogelijk om ze te behouden op de
    server.
    De keuze -d is zonder gevolg (werking per gebrek) en bestaat
    slechts voor de verenigbaarheid een syntaxis met de bestelling
    chargemail.

- chargechampok
    Syntaxis : chargechampok naam_veld [-f fich_liste] [-(k|d)]
    bestand_configuratie

    Downloadt mails van de server waarvan het veld naam_veld een
    reeks lettertekens genventariseerd bij verstek in het bestand
    accept_naam_veld gelegen in de lijst wortel van de besteldienst
    bevat (4de lijn van het bestand van configuratie).
    Het is mogelijk om een ander bestand met de keuze te specificeren
    -f.
    Per gebrek, wordt dit bestand in de lijst wortel van de besteldienst,
    aan minder teruggekregen dan men een weg van toegang absoluut, of
    betreffende deze lijst aangeeft.

    Per gebrek, worden gedownloade mails van de server afgeschaft.
    De keuze -k maakt het mogelijk om ze te behouden op de
    server.
    De keuze -d is zonder gevolg (werking per gebrek) en bestaat
    slechts voor de verenigbaarheid een syntaxis met de bestelling
    chargemail.


Werktuig dat het sorteren van de gedownloade bestanden toelaat,
mails

- entetemail
Syntaxis: entetemail [lijst]

Aanplakbiljet voor elk mail van een lijst de lijnen van het opschrift
met een sleutelwoord, voorafgegaan van de naam van het betrokken
bestand.
Dit gezamenlijke werktuig met grep (fgrep, egrep), sed, cut, mv,
enz... maakt het mogelijk om de bestanden te verdelen die mails in
verschillende lijsten in functie van hun kenmerken worden gedownload:

    - afzender
    - sleutelwoord in het onderwerp
    - enz ...

Een zeer volledig bestand shell
wordt als voorbeeld geleverd.


Visualisering van gedownloade mails

Deze werktuigen geven het geheel van de informatie zonder aanvullende
tussenkomst van de bediener te kennen. Men kan rediriger de output
scherm naar een bestand of de printer.

- sjfmails
Syntaxis : sjfmails [-(s|d [aantal_lijnen_berichten])] [lijst_bestanden]

Aanplakbiljet de kenmerken van de bestanden aanwezige mails in een
bijzondere lijst.
2 manieren van display zijn beschikbaar:


- ruime display (keuze -d)
op verschillende lijnen met mogelijkheid om het begin van het
bericht te zien.

- vereenvoudigde display (keuze -s)
Een lijn per mail. In dit laatste geval, kiest het werktuig tussen
de display van de afzender of de ontvanger volgens de eerste brief
van de naam van bestand (mail weggaand of ingaand).
Mails worden in toenemende volgorde van de namen van bestanden
ingedeeld.


- voirfmail
Syntaxis : voirfmail [-h] naam_bestand_mail

Aanplakbiljet de inhoud van een bestand bijzondere mail.

Als het bestand mail verschillende afdelingen omvat, geeft deze
bestelling de tekst van mail en de namen van de samengevoegde
bestanden te kennen.
Als de keuze -h wordt gebruikt, het is de afdeling text/html (zonder
omzetting van de bakens) die in plaats van de afdeling text/plain te
kennen wordt gegeven.

Als een naam van samengevoegd bestand aan de het minst met 2
uitbreidingen, of slechts n extention andere wat  .exe
bevat, en met wat de inhoud van het bestand met de handtekening
van uitvoerbare MS-DOS/Windows, de aanwijzing VIRUS ?  eveneens
zal aangegeven worden.



Gentegreerd milieu van behandeling van de bestanden mails


Deze werktuigen geven zich in manier bladzijde aan. Zij houden met de
omvang van de zone van display rekening. Het zijn conversationnels
werktuigen:

- de pijlen en andere toetsen maken het mogelijk om zich in de
aangegeven tekst te verplaatsen
- deze werktuigen heten elkaar.

- vmaildir
Syntaxis vmaildir: vmaildir [lijst]

Aanplakbiljet laat arborescence van de lijsten bestemd voor de
bestanden mails en toe:

- om een lijst (per verzoek van vmailsj) te selecteren
- om een nieuwe mail (per verzoek van cremail) te creren


Een display in 3 kleuren maakt het mogelijk om de lijsten met een
niet gelezen mails die in surbrillance worden aangegeven, en de
lijsten met te vinden geen enkel mail, die in blauw donker
blijken.
Evenwel de analyse die slechts op de namen van bestanden betrekking
heeft is minder fijn dan die van vmailsj.

Het te minder belangrijke gebrek om een correctie te rechtvaardigen:

De eerste keer die men creert of dat men een mail afschaft, wordt
een onder lijst (sortie of poubelle) gecreerd. Hij zal voorkomen geen
vervolg in de lijst van de te kennen gegeven lijsten. Men zal weer op
gang moeten brengen vmaildir om het te zien.

- vmailsj
Syntaxis: vmailsj [lijst]
Aanplakbiljet de hoofdkenmerken van de bestanden mail van een lijst
(een lijn per mail).
Deze mails per datum en uur wassende maan worden gesorteerd (niet
behandelde uurspil, volgens aan de Europese meerderheidstendens voor
het regelen en de configuratie van de machines).
Volgens de aard van mail (of aftredend) ingaat die, is het ofwel de
afzender, ofwel de ontvanger die wordt aangegeven.

Men kan:

- deze lijst van mails drukken
- in de lijst naar een bijzondere mail zoeken vanaf een reeks
    lettertekens die in een van de aangegeven velden voorkomen,
- een mail selecteren om het te onderzoeken (verzoek van vmailfic)
- erop antwoorden, het overbrengen of het vernietigen of het drukken
- het wijzigen als het een mail in zendingswachten samengevoegde
- stukken weer toevoegen (als mail in zendingswachten)
- is een nieuwe mail (verzoek van cremail)
- creren de naam van een bestand terugkrijgen mail, het onderzoeken
zonder omzetting

Mails niet nog zichtbaar gemaakte nieuwelingen (suffix .n) worden in
surbrillance aangegeven.
Na het eerste onderzoek, worden deze bestanden in normale
lichtsterkte aangegeven of komen niet meer in de lijst voor als zij
werden afgeschaft.

- vmailfic
Syntaxis: vmailfic naam_bestand_mail

Aanplakbiljet laat de inhoud van een bestand mail (tekst van mail en
namen van de samengevoegde bestanden) en toe:

- om erop te antwoorden (verzoek van het werktuig repmail)
- om het over te brengen (verzoek van het werktuig trsfmail)
- om het af te schaffen wordt het bestand mail van omtrek in een lijst
    "poubelle" verzonden.
Als hij reeds er is, schaft men dit bestand af.
- om een mail terug te krijgen die in de lijst "poubelle" voorkomt
- om het te drukken
- om naar een reeks lettertekens te zoeken die in dit mail voorkomen
- om het te wijzigen (alleen toegelaten voor de bestanden mail in
    wachten van zending).
- om bestanden samen te voegen als mail in wachten van zending
(verzoek van het werktuig joindre)
- om de bestanden uit te trekken die met mail worden samengevoegd
   (verzoek van recuppj)
- om volledige mail, het enige bericht of het adres van de afzender
in een ander bestand te kopiren, of om het adres van de afzender
- om het te wijzigen (alleen toegelaten voor de bestanden mail in
zendingswachten)..
- van kopiren het mail volledig, het bericht enig of het adres van
het afzender in een ander bestand, of van weer toe:voegen het adres van
het afzender in het boekje van adres, (bestand carnet-adr)in het
lijst van afzender weigeren (bestand refus_adr).
- om de naam van het bestand met mail terug te krijgen.
- Als een mail multi afdeling is, kan men verkiezen om de afdeling
    text/html (zonder omzetting van de bakens) in plaats van de afdeling
    te kennen te geven text/plain.



Terugwinning van samengevoegde bestanden

Dit werktuig kan afzonderlijk of sinds vmailfic genoemd worden.

- recuppj
Syntaxis : recuppj naam_bestand_mail

Krijgt de samengevoegde bestanden terug in een mail.
Als de wortel van de lijsten van de besteldienst (verzoek sinds
vmaildir -> vmailsj -> vmailfic) wordt gekend, worden de
samengevoegde bestanden in gememoriseerd:

- de lijst die in het bestand <wortel>/dirpj
wordt vermeld,
- als er de lijst <wortel>/pjointes in het
tegenovergestelde geval bestaat.

Als de wortel van de lijsten van de besteldienst onbekend is, zal de
gebruiker aan het klavier de bestemmingslijst van de samengevoegde
bestanden grijpen.

De namen van teruggekregen bestanden zullen geen wit bevatten.


Oprichting van bestanden mails

Deze werktuigen zullen afzonderlijk of sinds de werktuigen kunnen
genoemd worden die aan paragraaf 6 worden beschreven.

De gecreerde bestanden mails hebben een naam van de vorm
e<nummer> met een nummer van orde van 7 cijfers.
Zij worden in de lijst sortie gememoriseerd.

De uitgever van teksten vi wordt per gebrek gebruikt.
Als het men verkiest een andere uitgever te gebruiken, zal het
voldoen om zijn naam in de variabele van milieu te zetten $EDITOR.


- cremail
Syntaxis : cremail [lijst_emails]

Oprichting van een bestand mail.
Maakt het mogelijk om het onderwerp van mail, het bericht in te
voeren, vervolgens om de ontvangers te selecteren vanaf het
adresboekje (bestand carnet-adr gelegen in de lijst wortel van de
besteldienst - 4de lijn van het bestand van configuratie).
Men kan eveneens ontvangers manueel informeren die niet in het
adresboekje voorkomen.
Alle soorten ontvangers (voornaamste, in kopie en in verborgen kopie)
worden aanvaard.
Als een bestand signature in de lijst wortel van de besteldienst
werd gecreerd, wordt zijn inhoud, die door een lijn van koppeltekens
is voorafgegaan, aan het eind van de tekst van gecreerde mails weer
toegevoegd.

- repmail
Syntaxis : repmail naam bestand_mail [lijst_emails]

Antwoord op een ontvangen bestand mail.
Het onderwerp van mail van antwoord wordt automatisch gecreerd.
Het bericht wordt (omvatte hoofdvelden van het opschrift) met het >
aan elke lijn gekopierd. De lijst van eventuele samengevoegde
bestanden (maar niet hun inhoud) wordt aan het eind van het bericht
weer toegevoegd. De eventuele handtekening (zie cremail) blijkt
eveneens.
Men kan het antwoord onder de uitgever vi of de uitgever invoeren die
in de variabele van milieu worden vermeld $EDITOR.
De keus van de ontvangers van het antwoord komt automatisch vanaf een
menu tot stand dat tot 7 mogelijkheden aanbiedt.

- trsfmail
Syntaxis : trsfmail naam_bestand_mail [lijst_emails]

Herorintering van een mail die naar andere ontvangers wordt
ontvangen.
Het onderwerp van overgebrachte mail wordt automatisch gecreerd.
Overgebrachte mail omvat de tekst van mail (in manier tekst) en de
samengevoegde bestanden. Eventuele doublon HTML van het bericht wordt
niet behouden.
De eventuele handtekening van rexpditeur wordt niet weer
toegevoegd.
Men kan de ontvangers selecteren vanaf het adresboekje en anderen
ervan kiezen die er niet op voorkomen.

- joindre
Syntaxis : joindre naam_bestand_mail [samen_te_voegen_bestanden]

Werktuig dat het mogelijk maakt om stukken weer toe te voegen die
met een te verzenden mail worden samengevoegd.
De namen van de samengevoegde bestanden kunnen in parameter
voorbijgegaan zijn of gegrepen hebben aan het klavier.
De eventuele wit in de namen van bestanden worden automatisch
afgeschaft.


Expeditie van bestanden mail

- envmail
Syntaxis : envmail bestand_configuratie

Verzendt aanwezige mails in de lijst sortie en verplaatst de
overeenkomstige bestanden in de lijst van mails envoyes .
Als de bestanden mail geen vermelding van afzender omvatten, wordt
deze vanaf het bestand van configuratie weer toegevoegd.

Aantekeningen

- De automatische zending van mails door de werktuigen van filtrering
suphtm en supgrosmail (zie aan hoofdstuk 1) laat geen
archief in de lijst envoyes.

- Met recente versies van Linux, (vastgesteld op RedHat 9), kan hij
zich dat de geaccentueerde karakters die onder een uitgever van tekst
worden gegrepen, UTF-8 aan het buiten medeweten van van de gebruikers
worden gecodeerd.
Het programma envmail is in staat om deze codering te ontdekken en af
te schaffen gedurende de zending van het bestand mail op het
netwerk.
Als u zeker bent dat uw uitgever van teksten geen codering UTF-8
uitvoert, kunt u deze correctie in het bestand afschaffen envmail.c
door in commentaar de lijn te zetten:
#define testsuputf



Het bestand van configuratie

Het bestand van configuratie dat vaak in deze documentatie wordt
vermeld, omvat 6 lijnen :


    - de naam van de server pop
    - user  gebruiksnaam
    - pass  het_geheime_truukje
    - lijst van arborescence van de bestanden mails (afgiftebewijzen,
        om enz te verzenden...)
    - de naam en het adres mail van de afzender
    - de naam van de server smtp gebruikt om berichten te verzenden



In plaats van de gebruiksnaam en/of het wachtwoord (in klaarheid) in
het bestand van configuratie aan te geven, kan men aan de bediener
vragen om het te grijpen.
In dit geval zullen de overeenkomstige lijnen als syntaxis moeten
hebben:

     2.  ?user
     3.  ?pass

Het is eveneens mogelijk om in het bestand van configuratie een
gecodeerd wachtwoord aan te geven (om te vermijden om het geheel of
een deel van de coderingssleutel te onthullen door het te gebruiken
zullen 2 keer, de gebruiksnaam in klaarheid blijven).
In dit geval zal de lijn 3 als syntaxis hebben:

     3.  %pass het_gecodeerde_geheime_truukje

Zie het volgende hoofdstuk voor meer details op de manier om te
handelen.


Codering van het wachtwoord

Om wachtwoorden te gebruiken die in de bestanden van configuratie
worden gecodeerd, procdera men op de volgende manier:


    -  Het bestand van insluitsel wijzigen clecrypt.h door de
         waarden te vervangen 0x00 die hij door anderen van zijn keus
         bevat:
         (tussen 0x01 en 0x1F of tussen 1
         en 31 in decimale nummering).

    -  Het commentaar van de lijn eventueel afschaffen:
         #include "clecrypt.h"   in het bestand
         pop.c  .

    -  De werktuigen opnieuw compileren die de coderingssleutel
         gebruiken:
         make clecrypt


Uiteindelijk zal men de bestelling cryptepass met alle bestanden
van configuratie lanceren waarvan men het wachtwoord (degenen waarvan de
3ste lijn per %pass begint).

De opmerking op de veiligheid van de codering :

Het gaat om een eenvoudige en overdraagbare codering. Om de
vertrouwelijkheid van de gecodeerde wachtwoorden te garanderen, wordt
hij aanbevolen om het bestand clecrypt.h en uitvoerbare cryptepass
 niet te behouden op de machine (en a fortiori op de gebruiksrekening)
die het bestand van configuratie met het gecodeerde wachtwoord
bevat.
Niettemin zonder het wachtwoord te ontcijferen, zal het mogelijk aan
een derde persoon blijven om mails te bereiken als zij aan de keer
het bestand van configuratie en de bestellingen terugkrijgt die aan
de hoofdstukken 2 en 3 van deze documentatie worden beschreven.

Ondanks alles als hetzelfde wachtwoord voor het beleid van een
website en de rekening verenigde E-mail wordt gebruikt, zal deze
codering zichtbaar het wachtwoord minder maken.



